Bug 1387116 - openssh: Memory exhaustion issue
Summary: openssh: Memory exhaustion issue
Keywords:
Status: CLOSED DUPLICATE of bug 1384860
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1387117
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-20 07:18 UTC by Andrej Nemec
Modified: 2019-09-29 13:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-20 07:21:08 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2016-10-20 07:18:59 UTC
A memory exhaustion vulnerability was found in the key exchange process in openssh. An unauthenticated peer could repeat the KEXINIT and cause allocation of up to 384MB for each connection.

Upstream patch:

http://cvsweb.openbsd.org/cgi-bin/cvsweb/src/usr.bin/ssh/kex.c?rev=1.127&content-type=text/x-cvsweb-markup

References:

http://seclists.org/oss-sec/2016/q4/185

Upstream does not consider this as a security issue.

Comment 1 Andrej Nemec 2016-10-20 07:20:45 UTC
Created openssh tracking bugs for this issue:

Affects: fedora-all [bug 1387117]

Comment 2 Andrej Nemec 2016-10-21 10:52:07 UTC

*** This bug has been marked as a duplicate of bug 1384860 ***


Note You need to log in before you can comment on or make changes to this bug.